﻿<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Tgz Provider EN</title>
  <link rel="stylesheet" href="https://stackedit.io/style.css" />
</head>

<body class="stackedit">
  <div class="stackedit__html"><h1 id="lfusion-tgz-provider">LFusion Tgz Provider</h1>
<p>This package is an extension for LFusion Local Registry Provider.<br>
It can be used to reference tgz packages stored in the project, locally or online.<br>
It also contains classes and helpers to simplify the implementation of providers.</p>
<ol>
<li><a href="#prerequisites">Prerequisites</a></li>
<li><a href="#installation">Installation</a></li>
<li><a href="#configuration">Configuration</a></li>
<li><a href="#itgzprovider">ITgzProvider</a></li>
</ol>
<h2 id="prerequisites">Prerequisites</h2>
<ul>
<li><em><strong>Unity 2020</strong></em> or higher</li>
<li><em><strong>LFusion Local Registry Provider</strong></em> : <code>com.lfusion.localregistryprovider.core</code></li>
</ul>
<h2 id="installation">Installation</h2>
<h3 id="install-via-gitlab-registry">Install via Gitlab registry</h3>
<ul>
<li>Add the <a href="https://gitlab.com/lfusion/upm-registry">LFusion Upm-Registry</a></li>
<li><strong>For Unity 2021 or highter</strong>
<ul>
<li>Package Manager</li>
<li><strong>+</strong> Add package by name…
<ul>
<li><code>Name : com.lfusion.localregistryprovider.tgzprovider</code></li>
</ul>
</li>
</ul>
</li>
<li><strong>For all supported Unity versions</strong>
<ul>
<li>Open <code>manifest.json</code> in the Packages folder of the project.</li>
<li>Add <code>"com.lfusion.localregistryprovider.tgzprovider": "x.x.x",</code> to the <code>dependencies</code> block, replacing <code>x.x.x</code> with the desired version.</li>
<li>Example for version <code>1.0.0</code> :</li>
</ul>
</li>
</ul>
<pre class=" language-json"><code class="prism  language-json"><span class="token punctuation">{</span>
  <span class="token string">"dependencies"</span><span class="token punctuation">:</span> <span class="token punctuation">{</span>
    <span class="token string">"com.lfusion.localregistryprovider.tgzprovider"</span><span class="token punctuation">:</span> <span class="token string">"1.0.0"</span><span class="token punctuation">,</span>
    <span class="token punctuation">[</span><span class="token operator">...</span><span class="token punctuation">]</span>
  <span class="token punctuation">}</span><span class="token punctuation">,</span>
  <span class="token punctuation">[</span><span class="token operator">...</span><span class="token punctuation">]</span>
<span class="token punctuation">}</span>
</code></pre>
<h3 id="install-via-tarball">Install via tarball</h3>
<ul>
<li>Download <code>com.lfusion.localregistryprovider.tgzprovider-x.x.x.tgz</code> from <a href="https://gitlab.com/lfusion/localregistryprovider/tgzprovider/-/releases">releases</a>.</li>
<li>Package Manager</li>
<li><strong>+</strong> Add package from tarball…</li>
<li>Select  <code>com.lfusion.localregistryprovider.tgzprovider-x.x.x.tgz</code></li>
</ul>
<h2 id="configuration">Configuration</h2>
<p>LFusion Tgz Provider settings can be accessed from:</p>
<ol>
<li><code>Edit/Project Settings...</code></li>
<li><code>Package Manager/Local Registry/Tgz Provider</code></li>
</ol>
<h3 id="packages">Packages</h3>
<p>Management of manually referenced tarball packages.</p>

<table>
<thead>
<tr>
<th>Name</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td>Apply Now</td>
<td>Force update of listed packages</td>
</tr>
<tr>
<td><strong>+</strong></td>
<td>Add a line</td>
</tr>
<tr>
<td><strong>-</strong></td>
<td>Deletes the selected line</td>
</tr>
</tbody>
</table><h4 id="package-libraries">Package Libraries</h4>
<p>Each line references a folder containing packages.<br>
Packages present in a Library are automatically referenced.</p>
<h4 id="individual-packages">Individual Packages</h4>
<p>Each line references a package.</p>

<table>
<thead>
<tr>
<th>Source Type</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td>Project</td>
<td>Uses a path relative to the project</td>
</tr>
<tr>
<td>Local</td>
<td>Uses an absolute path (avoid this)</td>
</tr>
<tr>
<td>Url</td>
<td>Uses a url (http &amp; https support)</td>
</tr>
</tbody>
</table><h3 id="cache-manager">Cache Manager</h3>
<p>Used to delete cached package information.</p>
<h2 id="itgzprovider">ITgzProvider</h2>
<p>ITgzProvider is an abstract class that simplifies the implementation of a provider.<br>
It manages the downloading of hosted packages, the use of package information and the calculation of shasum.</p>
</div>
</body>

</html>
